
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>hadoop下的存储在hdfs中的视频文件怎么播放？ / iVAN</title>

    <meta name="description" content="hadoop下的存储在hdfs中的视频文件怎么播放？ 问题描述 hadoop下的存储在hdfs中的视频文件怎么播放? hadoop下的存储在hdfs中的视频文件怎么播放?可以直接拿到视频文件的http路径吗,我现在想实现的是像百度云这样的可以在线播放,但是不知道怎么得到文件的路径,而hdfs提供的API只有上传下载文件这些,对于这样的问题要怎么解决呢?? 解决方案 你需要用HDFS API来获取 package org.myorg.hdfsdemo; import java.io.BufferedReader; import java.io.IOE">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">hadoop下的存储在hdfs中的视频文件怎么播放？</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h1>问题描述</h1>
<dl>
<dt>hadoop下的存储在hdfs中的视频文件怎么播放？
        </dt>
<dd>
          <br />hadoop下的存储在hdfs中的视频文件怎么播放？可以直接拿到视频文件的http路径吗，我现在想实现的是像百度云这样的可以在线播放，但是不知道怎么得到文件的路径，而hdfs提供的API只有上传下载文件这些，对于这样的问题要怎么解决呢？？</p>
</dd>
</dl>
<h1>解决方案</h1>
<p>你需要用HDFS API来获取</p>
<pre><code> package org.myorg.hdfsdemo;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;

import org.apache.hadoop.conf.Configuration;
import org.apache.hadoop.fs.FileStatus;
import org.apache.hadoop.fs.FileSystem;
import org.apache.hadoop.fs.Path;

public class HdfsDemo {

    public static void main(String[] args) throws IOException {

        Configuration conf = new Configuration();
        conf.addResource(new Path("/Users/miqbal1/hadoop-eco/hadoop-1.1.2/conf/core-site.xml"));
        conf.addResource(new Path("/Users/miqbal1/hadoop-eco/hadoop-1.1.2/conf/hdfs-site.xml"));
        FileSystem fs = FileSystem.get(conf);
        System.out.println("Enter the directory name :");
        BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
        Path path = new Path(br.readLine());
        displayDirectoryContents(fs, path);
    }

    private static void displayDirectoryContents(FileSystem fs, Path rootDir) {
        // TODO Auto-generated method stub
        try {

            FileStatus[] status = fs.listStatus(rootDir);
            for (FileStatus file : status) {
                if (file.isDir()) {
                    System.out.println("This is a directory:" + file.getPath());
                    displayDirectoryContents(fs, file.getPath());
                } else {
                    System.out.println("This is a file:" + file.getPath());
                }
            }
        } catch (IOException e) {
            e.printStackTrace();
        }
    }
}
</code></pre>
<p>解决方案二：<br />
    <br />hdfs支持随机读文件<br /><a href="http://blog.csdn.net/xhh198781/article/details/6944516" rel="external nofollow noreferrer">http://blog.csdn.net/xhh198781/article/details/6944516</a><br /><a href="http://shiyanjun.cn/archives/962.html" rel="external nofollow noreferrer">http://shiyanjun.cn/archives/962.html</a></p>
<p>解决方案三：<br />
    <br /><a href="http://blog.csdn.net/godspeedlaile9/article/details/12447107" rel="external nofollow noreferrer">hadoop存储视频文件</a></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-11 06:53:53</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/hadoop/" title="hadoop">hadoop</a>, <a href="https://www.iamivan.net/tag/hdfs/" title="hdfs">hdfs</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>hadoop下的存储在hdfs中的视频文件怎么播放？的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRwn8qp.html" rel="bookmark">win7电脑中的视频无法缓冲播放怎么办？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  win7电脑中的视频无法缓冲播放怎么办?那么遇到这样的问题,我们要怎么办呢? 第一种情况:视频无法缓冲,可能是因为视频对应的写入磁盘空间不足造成的,所以,咱们遇到这样的问题,首先就可以去检查一下,视频对应的目录或者是磁盘空间是否存在红色告急的状态.如果是这样的话,咱们可以选择一个比较大的目录作为缓存空间. 第二种情况:网络限制.大家应该遇到这样的情况,比如说在公司,开启其他的程序就很快,但是遇到这种视频网站的时候就会很慢,其实,这便是因为有人设置了网络限制的原因,这个就需要修改设置了,不然的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/qMqD4eb.html" rel="bookmark">在网页页面中嵌入视频文件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				网页|页面 &lt;object id=&quot;MediaPlayer&quot; width=&quot;478&quot; height=&quot;300&quot; codebase=&quot;http://activex.microsoft.com/activex/controls/mplayer/en/nsmp2inf. cab#Version=6,1,5,217&quot; type=&quot;application/x-oleobject&quot; standby=&quot;L			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pk2YDOM.html" rel="bookmark">在PowerPoint2013中插入视频文件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  ①启动PowerPoint2013,单击菜单栏--插入--媒体--PC上的视频. ②弹出本地对话框,选取一个视频文件打开. ③主页面显示视频文件,单击播放按钮. ④视频开始播放,这样就实现了视频的插入.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pd0xDXp.html" rel="bookmark">暴风影音播放列表中的视频不按顺序播放怎么办</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				请调整播放列表的循环模式为&quot;顺序播放&quot;.(播放列表区域点击鼠标右键)   如果调整为顺序了话还是不可以我们可以尝试一下把暴风影音播放器重启一下,也就是退出再进入看看.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/baldBXz.html" rel="bookmark">Hadoop中使用FileStatus类来查看HDFS中文件或目录的元信息</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Hadoop中的FileStatus类可以用来查看HDFS中文件或者目录的元信息,任意的文件或者目录都可以拿到对应的FileStatus, 我们这里简单的演示下这个类的相关API: /* */ package com.charles.hadoop.fs; import java.net.URI; import java.sql.Timestamp; import org.apache.hadoop.conf.Configuration; import org.apache.hadoop.fs.F			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zVdw3KM.html" rel="bookmark">《Hadoop MapReduce实战手册》一2&period;11 在HDFS中合并文件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.11 在HDFS中合并文件 Hadoop MapReduce实战手册本节将传授如何合并HDFS中的若干文件,以创建一个单独的文件.对于获取有多个输出部分结果的reducer的MapReduce作业的计算结果来说,这招非常有用. 操作步骤HDFS的getMerge命令可以将HDFS中给定路径下的文件,复制到本地文件系统的单个合并后的文件中. &gt;bin/hadoopfs -getmerge /user/foo/demofiles merged.txt 工作原理getmerge命令的语法如下: h			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRDyL3z.html" rel="bookmark">hadoop-mysqldump之后的文件直接放入hdfs中</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 mysqldump之后的文件直接放入hdfs中 我现在使用的是一种曲线办法,先把mysqldump的文件放在tmp中,然后用命令hadoop fs -put 放入hdfs中. 现在想问下大家有没有办法可以直接把dump的文件放入hdfs中			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLgJ3WM.html" rel="bookmark">hive数据批量导入hbase过程中遇到分区文件不存在异常</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 hive数据批量导入hbase过程中遇到分区文件不存在异常 在做一个hive数据批量导入hbase的方法,根据官方文档一步一步的做下来,但是在生成HFILE文件时却报了一个比较让人纠结的错误,在网上找了很长时间,都木有合适的答案,在hive命令行中执行的代码如下: SET mapred.reduce.tasks=5; SET hive.mapred.partitioner=org.apache.hadoop.mapred.lib.TotalOrderPartitioner; SET t			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8GZoPM.html" rel="bookmark">《Hadoop MapReduce实战手册》一2&period;7 设置文件冗余因子</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.7 设置文件冗余因子 Hadoop MapReduce实战手册HDFS跨集群存储文件时,会把文件切分成粗粒度的.大小固定的块.出于容错的目的,这些粗粒度的数据块会被复制到不同的DataNode中.数据块的冗余有助于增加数据本地化MapReduce计算的能力,同时也可以增加总的数据访问带宽.减少冗余因子则有助于节省HDFS上的存储空间. HDFS冗余因子(HDFS replication factor)是文件级属性,可以基于每个文件进行单独配置.本节将展示如何通过改变HDFS部署的默认冗余因子			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ybjQR8z.html" rel="bookmark" class="title">3种wifi共享精灵打不开的解决方法</a>
					<div>
						  我们先来看看无法连接的情况吧! 方法一:导致WiFi共享精灵开启热点失败的原因是&quot;本地连接&quot;没有实现共享,对此我们可以按以下方法执行: 第一步:打开&quot;控制面板&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9Mx0DmM.html" rel="bookmark" class="title">如何看linux是32位还是64位</a>
					<div>
						查看linux机器是32位还是64位的方法: 方法一:file /sbin/init    或者   file /bin/ls 结果如下:/sbin/init: ELF 64-bit LSB exec ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ybjGvnM.html" rel="bookmark" class="title">NetScreen－100防火墙</a>
					<div>
						NetScreen-100产品功能及性能说明 (一)高性能的防火墙产品 NetScreen-100防火墙产品是基于安全包处理器的高性能产品.全新的技术包括定制的专有的ASIC芯片免费加盟和策略实现.高 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMqnaYp.html" rel="bookmark" class="title">移动产品的交互效率因素&colon;任务、操作行为、用户角度</a>
					<div>
						文章描述:移动产品的交互效率因素:任务.操作行为.用户角度. 交互效率是产品可用性的重要组成部分,也是可用性评估的一个要点.相较传统互联网产品,当前移动产品在软硬界面的协同性以及网络环境方面还有很多差 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLDYkb.html" rel="bookmark" class="title">IBM Java Toolbox for i实现安全访问IBM i</a>
					<div>
						作为一组面向IBM i平台的Java应用程序编程接口,IBM Java Toolbox for i主要用于访问IBM i的数据与 资源.而数据与应用的安全性是从事IBM i应用开发者需要考虑的重要因素 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKD5EM.html" rel="bookmark" class="title">Win7开机要检查启动项目</a>
					<div>
						Windows中有自带的启动文件夹,它是最常见的启动项目,这里要注意Win7开机要检查启动项目.如果把程序装入到这个文件夹中,系统启动就会自动地加载相应程序,如果被更改,很危险. 所以检查启动项目是很 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7k47Kz.html" rel="bookmark" class="title">PS鼠绘逼真的红烧肉</a>
					<div>
						这篇教程教PS鼠绘学习者们使用PS鼠绘逼真开胃的红烧肉,教程绘制出来的红烧肉挺漂亮的.绘制的难度也不大.推荐过来PS鼠绘学习者们一起分享学习了.我们先来看看最终的效果图吧: 最终效果小图 最终效果大图 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwLde5b.html" rel="bookmark" class="title">谷歌发布云笔记应用Keep&lpar;图&rpar;</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 网页版Google Keep截图  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKkgyEb.html" rel="bookmark" class="title">使用&period;NET进行高效率互联网敏捷开发的思考和探索</a>
					<div>
						不知从什么时候开始,创业变得很廉价,谈什么都是互联网,动辄融资千万.这阵风好像也刮向了程序员中,有那么一大批开发者,数据结构不好好学习.数据库原理不扎实掌握,在github上发布几个项目,用nodej ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8Z1Exb.html" rel="bookmark" class="title">php torm遇到的问题-phpStorm遇到的问题，本人都头疼</a>
					<div>
						问题描述 phpStorm遇到的问题,本人都头疼 phpstorm只能自动提示引用当前文件夹下的js.css文件.如果js或css包含在一文件夹下怎么才能自动提示呢? ? 解决方案 http://bl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7YZK4M.html" rel="bookmark" class="title">你好 elm分类输出真实数据然后对于接下来进行类别输出部分我不懂它是如何类别分类的</a>
					<div>
						问题描述 你好 elm分类输出真实数据然后对于接下来进行类别输出部分我不懂它是如何类别分类的 下面是进行类别输出 MatrixXd tempY=mScores; //int size=tempY.si ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6NGdyM.html" rel="bookmark" class="title">VB6&period;0的菜单条能不能增加一个超链接，另外增加一个图片</a>
					<div>
						问题描述 VB6.0的菜单条能不能增加一个超链接,另外增加一个图片 VB6.0的菜单条能不能增加一个超链接,另外增加一个图片?具体的代码怎么实现呢? 解决方案 可以用coolbar控件代替菜单条控件.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9YW2vM.html" rel="bookmark" class="title">方法-如何禁用renegotiation</a>
					<div>
						问题描述 如何禁用renegotiation 维护的系统安全漏洞扫描 TLS1/SSLv3 Renegotiation Vulnerability(TLS1/SSLv3重新协商漏洞),安全风险:远程没 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4NR6NM.html" rel="bookmark" class="title">对话依图医疗总裁倪浩：AI 产品只是第一步，未来要和医院制定中国儿童骨龄新标准</a>
					<div>
						雷锋网消息,近日,浙江大学医学院附属儿童医院(以下简称:浙大儿院)与依图医疗正式宣布结成战略合作伙伴关系,并发布全国第一款儿童骨龄智能辅助诊断系统. &quot;在与医院合作的过程当中,我们看到了未来 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJkxw7b.html" rel="bookmark" class="title">android BLE onServicesDiscovered返回的status&equals;129</a>
					<div>
						问题描述 android BLE onServicesDiscovered返回的status=129 最近在做ble的项目,发现service的时候,onServicesDiscovered方法返回的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJARv2p.html" rel="bookmark" class="title">Qt环境搭建（Visual Studio）</a>
					<div>
						简述 经常有人问我编写Qt程序时使用什么IDE,其实这个真的很难回答(各有所长),只能说看个人爱好了,因为我两个都用,而且两个都很喜欢(比较多情吧O(∩_∩)O~)! 下面将进行Qt Creator与 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdR9J1b.html" rel="bookmark" class="title">权限加载问题</a>
					<div>
						问题描述 登录者登录系统根据登录者的权限加载所能管理的人员ID,将ID存储在session中 在查询时 拼写sql in (人员ID) 导致查询速度很慢 如何设计这一块呢? 优化Sql语句? 优化设计 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mrq46xb.html" rel="bookmark" class="title">关于考研的几个问题</a>
					<div>
						[收到昔日弟子L的来信] 贺老: 先给您和杨老师拜个年!其他的客套话我就不赘述了,也请老师谅解,实在是有些问题憋的难受,通过各种渠道也了解了,但依然困惑,希望老师给我一些参考意见. 主要问题是围绕考研 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0nJYmz.html" rel="bookmark" class="title">winpcap-自己写的pcap文件，使用wireshark打开出现这个错误。。。。</a>
					<div>
						问题描述 自己写的pcap文件,使用wireshark打开出现这个错误.... 有的就不错,有的就会报错.请问是哪里的问题? 解决方案 问题没有解决(其实主要问题在于,文件写入的格式还是有误),但是建 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWWkj7M.html" rel="bookmark" class="title">Docker植根中国：镜像服务更快、更稳定</a>
					<div>
						Docker容器一经出现,就因其可移植性.不依赖于任何基础设施,而为大量开发人员所喜爱.我们也看到,在经过几年发展的,Docker现在已经成为了容器的事实标准.那么回首过去,Docker最初价值在哪, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPlYY8p.html" rel="bookmark" class="title">开心网：从红极一时到成明日黄花</a>
					<div>
						曾经,&quot;偷菜&quot;.&quot;争车位&quot;等社交游戏红遍全国,也让开心网受到了极大的关注,而在年轻人们动辄&quot;拍照片织'围脖'&quot;的呼声中,渐渐生出了&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYNLL9p.html" rel="bookmark" class="title">jquery拖动层效果插件用法实例分析&lpar;附demo源码&rpar;&lowbar;jquery</a>
					<div>
						本文实例讲述了jquery拖动层效果插件用法.分享给大家供大家参考,具体如下: &lt;!DOCTYPE html PUBLIC &quot;-//W3C//DTD XHTML 1.0 Transit ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEYvk6b.html" rel="bookmark" class="title">Makeflow 3&period;3&period;3发布 工作流引擎</a>
					<div>
						Makeflow是一款执行大型复杂的应用程序的工作流引擎,它用于集群.云.网格的.它可以用来驱动几种不同的http://www.aliyun.com/zixun/aggregation/13452.h ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgEj9Oz.html" rel="bookmark" class="title">clone方法-Object的clone&lpar;&rpar;方法为什么要存在？这个方法不是更简单吗？请指教，谢谢！</a>
					<div>
						问题描述 Object的clone()方法为什么要存在?这个方法不是更简单吗?请指教,谢谢! 当我看到Object的clone方法时产生了一个问题: 为什么要用clone方法呢?我完全可以在该类中定义 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr2934M.html" rel="bookmark" class="title">两个接口有同样的方法，类实现接口的方法重写怎么写？</a>
					<div>
						问题描述 两个接口有同样的方法,就是返回值不一样publicinterfaceA{publicdoublegetMoney();}publicinterfaceB{publicvoidgetMoney ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVdnWKM.html" rel="bookmark" class="title">使用自定义标签模式  prefix&colon;method&lpar;&rpar;</a>
					<div>
						问题描述 使用自定义标签模式 prefix:method() 比如我自己写了个自定义标签&lt;%@ taglib prefix=&quot;server&quot; uri=&quot;http:/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Y8DDp.html" rel="bookmark" class="title">支付宝宣布推出B2G差旅支付解决方案</a>
					<div>
						通过建立开放式的授信支付体系,解决企业差旅服务商资金占压周期过长的问题,增强企业差旅服务商的资金流动性,并帮助企业节省商务差旅成本.当天,中国铝业(601600,股吧)与天地一家.国航.南航.东航.海 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zenXBxb.html" rel="bookmark" class="title">2009平台化管理软件实施之道圆桌论坛 11月19号</a>
					<div>
						问题描述 不少企业的CIO在部署信息化管理软件的时候,一开始都是兴致勃勃,但是到信息化项目进展到一定程度的时候,却发现信息化管理软件没有取得像他们预期那样的效果,于是处于无法向CEO交待的尴尬处境.那 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOW1k8z.html" rel="bookmark" class="title">问个查询子表合并的问题</a>
					<div>
						问题描述 sqlite和sqlserverA表是主表B表是子表1对多ID1XXX工作ID1张三ID1王五ID1李四有没有一个函数查询出来是ID1某某工作张三,王五,李四子表可以通过相同ID累加起来,用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0OmmPb.html" rel="bookmark" class="title">B2C商城做资讯 靠谱吗？</a>
					<div>
						B2C商城是干啥的?简单直白地说就是企业卖产品给用户.既然是卖产品的,为什么会有不少B2C商城在搭建产品的同时也热衷于搭建资讯.资讯真有那么重要吗?是吃饱了没事干还是别有所图? &quot;资讯&qu ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
